Cyberduck Mountain Duck CLI

#11098 closed defect (fixed)

Fails to use saved OAuth token

Reported by: richardsmiles Owned by: jmalek
Priority: highest Milestone: 7.7
Component: cli Version: 7.4.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by richardsmiles)

Using the command line syntax to access a SharePoint Online site fails to reuse OAuth token saved in the Windows credential manager (Windows 10 Pro). Every time the syntax is run I am required to paste a new authorisation code from the web browser.

However the following syntax works perfectly fine, reusing the OAuth token save in the Apple Keychain (macOS 10.12.6)

duck --username <email removed> --list sharepoint:/Groups/<some folder>/Documents/ --debug

Attachments (1)

Cyberduck_debug_1_clean.txt (61.5 KB) - added by richardsmiles on Oct 18, 2020 at 5:03:09 PM.

Download all attachments as: .zip

Change History (14)

comment:1 Changed on Jul 4, 2020 at 11:01:08 AM by richardsmiles

  • Description modified (diff)

comment:2 Changed on Jul 7, 2020 at 1:09:56 PM by dkocher

  • Milestone set to 8.0
  • Owner set to jmalek

comment:3 Changed on Jul 28, 2020 at 8:59:23 AM by dkocher

  • Summary changed from Cyberduck CLI fails to use saved OAuth token to Fails to use saved OAuth token

comment:4 follow-up: Changed on Oct 12, 2020 at 1:44:09 PM by jmalek

Hi, can you let me know whether you are using the --username-parameter on Windows as well? Additionally I'd like to figure out why our passwords saving methods don't work which would require getting the verbose debug log on Windows:

duck -v --debug -u user@contoso.com -L sharepoint:/

Please make sure that there are no authentication tokens left in the debug output that you post here.

comment:5 Changed on Oct 16, 2020 at 9:06:19 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Changed on Oct 18, 2020 at 5:03:09 PM by richardsmiles

comment:6 Changed on Oct 18, 2020 at 5:05:54 PM by richardsmiles

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Apologies for the late reply.

As requested please see sanitised debug logs uploaded.

I can confirm the Windows syntax is identical to the one i have shared which includes the "--username" parameter.

comment:7 Changed on Oct 20, 2020 at 7:05:28 AM by jmalek

  • Status changed from reopened to new

comment:8 Changed on Oct 20, 2020 at 7:05:31 AM by jmalek

  • Status changed from new to assigned

comment:9 Changed on Oct 20, 2020 at 7:56:05 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r49994.

comment:10 Changed on Oct 20, 2020 at 11:58:31 AM by richardsmiles

How do I apply this fix?

comment:11 Changed on Nov 2, 2020 at 1:24:43 PM by dkocher

  • Milestone changed from 8.0 to 7.7.0

Milestone renamed

comment:12 Changed on Nov 2, 2020 at 1:26:44 PM by dkocher

  • Milestone changed from 7.7.0 to 7.7

Milestone renamed

comment:13 in reply to: ↑ 4 Changed on Nov 24, 2020 at 12:18:15 PM by dkocher

Replying to jmalek:

Hi, can you let me know whether you are using the --username-parameter on Windows as well? Additionally I'd like to figure out why our passwords saving methods don't work which would require getting the verbose debug log on Windows:

duck -v --debug -u user@contoso.com -L sharepoint:/

Please make sure that there are no authentication tokens left in the debug output that you post here.

Added documentation in wiki.

Note: See TracTickets for help on using tickets.